Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.hyades.logging.events.cbe
Interface FeatureSituation

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier, java.io.Serializable, SituationType

All Known Implementing Classes:
  FeatureSituationImpl

public interface FeatureSituation
extends SituationType

A representation of the model object 'Feature Situation'.

The FeatureSituation deals with the situations that announce that a feature of a component is now ready (or not ready) for service requests. Situations that indicate things like services being available and services or features being unavailable fall into this category. Existing situations include words like "now available", "currently available", and "transport is listening on port 123", for example:

`SRVE0171I: Transport HTTPS is listening on port 9443
MSGS0601I: WebSphere Embedded Messaging has not been installed`

Since:
  1.0.1

  The following features are supported:

  - `Feature Disposition`
Version:
  1.0.1
Author:
  Denilson Nastacio
See Also:
  `EventPackage.getFeatureSituation()`

Method Summary
`java.lang.String` | `getFeatureDisposition()` Returns the value of the 'Feature Disposition' attribute.
`void` | `init()` Resets the object's properties to their initial (e.g. null) state.
`void` | `setFeatureDisposition(java.lang.String value)` Sets the value of the '`Feature Disposition`' attribute

Methods inherited from interface org.eclipse.hyades.logging.events.cbe.SituationType
`getReasoningScope, setReasoningScope, validate`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getFeatureDisposition

    public java.lang.String getFeatureDisposition()

  Returns the value of the 'Feature Disposition' attribute.

  Returns:
    the value of the 'Feature Disposition' attribute.
  See Also:
    `setFeatureDisposition(String)`, `EventPackage.getFeatureSituation_FeatureDisposition()`

### setFeatureDisposition

    public void setFeatureDisposition(java.lang.String value)

  Sets the value of the '`Feature Disposition`' attribute.

  This property specifies the availability disposition of a feature of a component that caused the situation to be reported. The featureDisposition is a string with the following set of values:

  - AVAILABLE
  - NOT AVAILABLE

  This is a required property and once it is set it must not change. The string length for this property must not exceed 64 characters.

  Parameters:
    `value` - the new value of the 'Feature Disposition' attribute.
  See Also:
    `getFeatureDisposition()`

### init

    public void init()

  Resets the object's properties to their initial (e.g. null) state. All components are initialized to either zero or null.

  Specified by:
    `init` in interface `SituationType`
  Since:
    1.0

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD